
%global meadversion 2.3.5
%global namedversion 2.3.5.SP3-redhat-00009
%global meadalpha .SP3_redhat_00009
%global meadrel .1
%global serial 11
%global namedversionrel redhat-00009

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package glassfish-jsf}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.3.5.SP3-redhat-00009

Name:           %{?scl_prefix}glassfish-jsf
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        GlassFish JSF
Group:          Development/Java

%if %with mead
Source100: jsf-project-2.3.5.SP3-redhat-00009-project-sources.tar.gz
Source102: jsf-tools-2.3.5.SP3-redhat-00009-sources.jar
Source103: jsf-impl-2.3.5.SP3-redhat-00009-sources.jar
Source104: jsf-project-2.3.5.SP3-redhat-00009.pom
Source105: jsf-impl-2.3.5.SP3-redhat-00009-javadoc.jar
Source106: jsf-tools-2.3.5.SP3-redhat-00009-javadoc.jar
Source107: jsf-impl-2.3.5.SP3-redhat-00009.pom
Source108: jsf-tools-2.3.5.SP3-redhat-00009.pom
Source109: jsf-tools-2.3.5.SP3-redhat-00009.jar
Source110: jsf-impl-2.3.5.SP3-redhat-00009.jar
%endif

License:        CDDL-1.1 or GPLv2 with exceptions
URL:            https://javaserverfaces.java.net/
Provides:       %{?scl_prefix}jsf-impl = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
The JSF 2.0 implementation. NB: We've omitted the classes
Jetty6InjectionProvider and GlassFishInjectionProvider from the package
com.sun.faces.vendor.

%if %with javadoc
%package javadoc
Summary:        Javadoc for glassfish-jsf
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jsf-project-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jsf-impl-%{namedversion}.jar %{buildroot}%{_javadir}/jsf-impl-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jsf-impl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jsf-impl-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jsf-impl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jsf-impl-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

# FIXME: this should be the aggregate javadoc
# javadoc
%if %with javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/glassfish-jsf-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jsf-impl-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/glassfish-jsf-%{namedversion} -x META-INF/\*
%{__ln_s} glassfish-jsf-%{namedversion} %{buildroot}%{_javadocdir}/glassfish-jsf
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/jsf-impl-%{namedversion}.jar
%{_javadir}/jsf-impl.jar
%if %with javadoc
%{_javadir}/jsf-impl-%{namedversion}-javadoc.jar
%{_javadir}/jsf-impl-javadoc.jar
%endif
%{_javadir}/jsf-impl-%{namedversion}-sources.jar
%{_javadir}/jsf-impl-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadocdir}/glassfish-jsf-%{namedversion}
%{_javadocdir}/glassfish-jsf
%endif

%changelog
* Mon Apr 27 2020 Yong Yang <yyang@redhat.com> - 2.3.5-11.SP3_redhat_00009.1
- RPM wrapper build 2.3.5.SP3-redhat-00009

* Thu Mar 26 2020 Permaine Cheung <pcheung@redhat.com> - 2.3.5-10.SP3_redhat_00008.1
- 2.3.5.SP3-redhat-00008

* Thu Mar 12 2020 Yong Yang <yyang@redhat.com> - 2.3.5-9.SP3_redhat_00007.1
- RPM wrapper build 2.3.5.SP3-redhat-00007

* Fri Mar 06 2020 Yong Yang <yyang@redhat.com> - 2.3.5-8.SP3_redhat_00006.1
- RPM wrapper build 2.3.5.SP3-redhat-00006

* Thu Jan 16 2020 Yong Yang <yyang@redhat.com> - 2.3.5-7.SP3_redhat_00005.1
- RPM wrapper build 2.3.5.SP3-redhat-00005

* Fri Nov 22 2019 Yong Yang <yyang@redhat.com> - 2.3.5-6.SP3_redhat_00004.1
- RPM wrapper build 2.3.5.SP3-redhat-00004

* Wed Oct 16 2019 Neil Wallace <nwallace@redhat.com> - 2.3.5-5.SP3_redhat_00003.1
- 2.3.5.SP3-redhat-00003

* Wed Aug 21 2019 Yong Yang <yyang@redhat.com> - 2.3.5-4.SP3_redhat_00002.1
- RPM wrapper build 2.3.5.SP3-redhat-00002

* Thu Jun 20 2019 Neil Wallace <nwallace@redhat.com> - 2.3.5-3.SP3_redhat_00001.1
- 2.3.5.SP3-redhat-00001 typo

* Wed Jun 19 2019 Neil Wallace <nwallace@redhat.com> - 2.3.5.SP333edhat_00001-1.1%{nil}
- 2.3.5.SP3-redhat-00001 rerun due to typo

* Wed Jun 19 2019 Neil Wallace <nwallace@redhat.com> - 2.3.5.SP333edhat_00001-1.1%{nil}
- 2.3.5.SP3-redhat-00001

* Fri Aug 24 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.3.5-2.SP2_redhat_00001.1
- upgrade to 2.3.5.SP2-redhat-00001

* Wed May 30 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.3.5-1.SP1_redhat_1.1
- upgrade to 2.3.5.SP1-redhat-1

* Thu Jan 25 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.13-6.SP5_redhat_1.1
- upgrade to 2.2.13.SP5-redhat-1

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 2.2.13-5.SP4_redhat_1.1
- Fix license (JBEAP-13468)

* Fri Oct 13 2017 Permaine Cheung <pcheung@redhat.com> - 2.2.13-4.SP4_redhat_1.1
- Fix license (JBEAP-13468)

* Sat Jun 24 2017 Petr Sakar <psakar@redhat.com> - 2.2.13-3.SP4_redhat_1.1
- upgrade to 2.2.13.SP4-redhat-1

* Mon Nov 14 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.13-2.SP3_redhat_1.1
- Upgrade to 2.2.13.SP3

* Thu Aug 11 2016 David Walluck <dwalluck@redhat.com> - 2.2.13-1.SP1_redhat_1.1
- 2.2.13.SP1

* Fri Aug 07 2015 David Walluck <dwalluck@redhat.com> - 2.2.12-1.redhat_1.1
- 2.2.12-jbossorg-2

* Mon Jun 15 2015 David Walluck <dwalluck@redhat.com> - 2.2.11-2.redhat_1.1
- fix files

* Fri May 15 2015 David Walluck <dwalluck@redhat.com> - 2.2.11-1.redhat_1.1
- fix RPM build

* Fri May 15 2015 David Walluck <dwalluck@redhat.com> - 2.2.11-1.redhat_1.1
- 2.2.11

* Thu Jan 22 2015 David Walluck <dwalluck@redhat.com> - 2.1.28-7.redhat_8.1
- merge 2.1.28-jbossorg-6

* Wed Jan 07 2015 David Walluck <dwalluck@redhat.com> - 2.1.28-6.redhat_7.1
- merge 2.1.28-jbossorg-5

* Fri Aug 29 2014 David Walluck <dwalluck@redhat.com> - 2.1.28-5.redhat_6.1
- merge with 2.1.28-jbossorg-4

* Thu Aug 14 2014 David Walluck <dwalluck@redhat.com> - 2.1.28-4.redhat_5.2
- fix jars

* Wed Aug 13 2014 David Walluck <dwalluck@redhat.com> - 2.1.28-3.redhat_4.1
- merge 2.1.28-jbossorg-3

* Mon May 05 2014 David Walluck <dwalluck@redhat.com> - 2.1.28-2.redhat_3.1
- 2.1.28.redhat-3

* Tue Apr 15 2014 David Walluck <dwalluck@redhat.com> - 2.1.28-1.redhat_2.1
- fix wrapper version

* Tue Apr 15 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-8.redhat_9.1
- build wrapper only

* Fri Mar 14 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-7.redhat_9.1
- initial build of 2.1.27.redhat-9

* Wed Feb 12 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-6.redhat_8.1
- submit wrapper build

* Tue Feb 11 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-5.redhat_7.1
- build

* Tue Feb 11 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-4.redhat_6.1
- rebuild for latest version

* Tue Feb 11 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-3.redhat_4.1
- wrapper build

* Fri Jan 24 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-2.redhat_4.1
- rebuild for javadoc fix

* Tue Jan 14 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-1.redhat_1.1
- fix tools pom

* Tue Jan 14 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-1.redhat_1.1
- fix tools pom

* Tue Jan 14 2014 David Walluck <dwalluck@redhat.com> - 2.1.27-1.redhat_1.1
- fix tools pom

* Thu Dec 05 2013 David Walluck <dwalluck@redhat.com> - 2.1.26-1.redhat_1.1
- Wrap newer glassfish-jsf

* Thu Dec 05 2013 David Walluck <dwalluck@redhat.com> - 2.1.26-1.redhat_1.1
- Wrap newer glassfish-jsf

* Fri Oct 25 2013 Permaine Cheung <pcheung@redhat.com> - 2.1.19-2.3.redhat_2
Add sources.jar

* Wed Oct 23 2013 David Walluck <dwalluck@redhat.com> 0:2.1.19-1
- release
